#ifndef XORGAPP_H
#define XORGAPP_H

// **************************************
// Header Files
// **************************************

#include "global.h"

// **************************
// Class Declaration
// **************************

class XorgApp : public wxApp
{

public:
  virtual ~XorgApp(void);           // destructor
  virtual bool OnInit(void);        // init application
  void SetLanguage(const int lang=wxLANGUAGE_DEFAULT);   // set language
  const int GetLanguage(void) const;   // get language

protected:
    wxLocale *appLocale;
    wxString appDir;
};

DECLARE_APP(XorgApp);

#endif // XORGAPP_H

