#ifndef TEXTFRAME_H
#define TEXTFRAME_H

// **************************************
// Header Files
// **************************************

#include "global.h"

// **************************
// Class Definition
// **************************

class TextFrame: public wxDialog
{
public:
  TextFrame(wxWindow* parent, const wxString& title, const wxString& content=wxEmptyString);
  virtual ~TextFrame();

  void AppendText(const wxString& text); // appends text to the control
  void AddLine(const wxString& text); // appends text to the control and breaks the line

private:
  wxTextCtrl *textField;

};

#endif // TEXTFRAME_H
